/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.benutzerverwaltung.entity;

public interface BenutzerEinsatzortBase extends 
de.ivu.elect.jee.entity.Entity<BenutzerEinsatzortPK, BenutzerEinsatzortUK>
{

  
  /**
   * getter for primary key wrapper BENUTZER_EINSATZORT.benutzer_einsatzort_id
   *
   * @return
   */
  @Override
  BenutzerEinsatzortPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for BENUTZER_EINSATZORT.BEMERKUNG
   *
   */
  java.lang.String getBemerkung();

  /**
   * 
   *
   * setter for BENUTZER_EINSATZORT.BEMERKUNG
   *
   * @param bemerkung
   */
  void setBemerkung(java.lang.String bemerkung);
      

  /**
   * 
   *
   * getter for BENUTZER_EINSATZORT.BESONDERHEIT
   *
   */
  java.lang.String getBesonderheit();

  /**
   * 
   *
   * setter for BENUTZER_EINSATZORT.BESONDERHEIT
   *
   * @param besonderheit
   */
  void setBesonderheit(java.lang.String besonderheit);
      

  /**
   * 
   *
   * getter for BENUTZER_EINSATZORT.CLIENT_IP_MUSTER
   *
   */
  java.lang.String getClientIpMuster();

  /**
   * 
   *
   * setter for BENUTZER_EINSATZORT.CLIENT_IP_MUSTER
   *
   * @param clientIpMuster
   */
  void setClientIpMuster(java.lang.String clientIpMuster);
      

  /**
   * 
   *
   * getter for BENUTZER_EINSATZORT.NAME
   *
   */
  java.lang.String getName();

  /**
   * 
   *
   * setter for BENUTZER_EINSATZORT.NAME
   *
   * @param name
   */
  void setName(java.lang.String name);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setMandant(de.ivu.elect.business.mandant.entity.Mandant mandant);

  /**
   * 
   */
  de.ivu.elect.business.mandant.entity.Mandant getMandant();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  /**
  * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
  */
  java.util.Set<de.ivu.elect.business.benutzerverwaltung.entity.Rolle> getRolles();

 /**
  * Hinzufuegen von de.ivu.elect.business.benutzerverwaltung.entity.Rolle
  */
  void addRolle(de.ivu.elect.business.benutzerverwaltung.entity.Rolle rolle);

  /**
  * Entfernen von de.ivu.elect.business.benutzerverwaltung.entity.Rolle
  */
  void removeRolle(de.ivu.elect.business.benutzerverwaltung.entity.Rolle rolle);

 /**
  * Entfernen von allen  de.ivu.elect.business.benutzerverwaltung.entity.Rolle
  */
  void removeAllRolles();


/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
